# eric4.QScintilla.Lexers.LexerBatch

Module implementing a Batch file lexer with some additional methods.

### Global Attributes

None

### Classes

LexerBatch | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerBatch

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerBatch, Lexer

### Class Attributes

None

### Class Methods

None

### Methods

LexerBatch | Constructor
defaultKeywords | Public method to get the default keywords.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.

### Static Methods

None

#### LexerBatch (Constructor)

LexerBatch(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerBatch.defaultKeywords

defaultKeywords(kwSet)

Public method to get the default keywords.

kwSet
  number of the keyword set (integer)

Returns:
  string giving the keywords (string) or None

#### LexerBatch.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

Returns:
  flag indicating a comment style (boolean)

#### LexerBatch.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

Returns:
  flag indicating a string style (boolean)

Up